Bug 858682 - Cancelling a sync shows success in the dashboard
Cancelling a sync shows success in the dashboard
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Dmitri Dolguikh
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 08:16 EDT by Bryan Kearney
Modified: 2014-09-18 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When canceling an ongoing sync, the dashboard's sync history reports the sync successful and not canceled. The status "canceled" previously did not exist on the dashboard. This fix adds "canceled" to the list of statuses and all canceled syncs now display correctly on the dashboard.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:55:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2012-09-19 08:16:50 EDT
Import a manifest
Enable a repository
Kick off a sync
Cancel the syn
View the dashboard, and the sync history will show success.. not canceled.

I woudl have expected to see canceled or not completed.
Comment 1 Bryan Kearney 2012-09-19 08:37:45 EDT
per suggestions from ehelms:

The sync status page shows cancelled, so it is likely the dashboard partial only testing for failure, not dealing with other states.
Comment 2 Dmitri Dolguikh 2012-09-21 06:54:52 EDT
fixed in c1c545a
Comment 5 Og Maciel 2012-10-02 22:31:52 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-12.el6cf.noarch
* katello-all-1.1.12-12.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-6.el6cf.noarch
* katello-cli-common-1.1.8-6.el6cf.noarch
* katello-common-1.1.12-12.el6cf.noarch
* katello-configure-1.1.9-6.el6cf.noarch
* katello-glue-candlepin-1.1.12-12.el6cf.noarch
* katello-glue-pulp-1.1.12-12.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 7 errata-xmlrpc 2012-12-04 14:55:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 8 Mike McCune 2013-08-16 13:53:13 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.